Index: TXM/trunk/org.txm.annotation.rcp/src/org/txm/annotation/rcp/editors/imports/sections/AnnotationSection.java
===================================================================
--- TXM/trunk/org.txm.annotation.rcp/src/org/txm/annotation/rcp/editors/imports/sections/AnnotationSection.java	(revision 3398)
+++ TXM/trunk/org.txm.annotation.rcp/src/org/txm/annotation/rcp/editors/imports/sections/AnnotationSection.java	(revision 3399)
@@ -13,6 +13,7 @@
 import org.eclipse.ui.forms.widgets.TableWrapData;
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 import org.txm.objects.Project;
+import org.txm.rcp.editors.imports.ImportFormEditor;
 import org.txm.rcp.editors.imports.sections.ImportEditorSection;
 
 public class AnnotationSection extends ImportEditorSection {
@@ -23,8 +24,8 @@
 	
 	Text nameText;
 	
-	public AnnotationSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
-		super(toolkit2, form2, parent, style, "annotation");
+	public AnnotationSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
+		super(editor, toolkit2, form2, parent, style, "annotation");
 		
 		this.section.setText("Annotation");
 		TableWrapLayout layout = new TableWrapLayout();
Index: TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/tigersearch/imports/TIGERSection.java
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/tigersearch/imports/TIGERSection.java	(revision 3398)
+++ TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/tigersearch/imports/TIGERSection.java	(revision 3399)
@@ -10,6 +10,7 @@
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 import org.osgi.service.prefs.Preferences;
 import org.txm.objects.Project;
+import org.txm.rcp.editors.imports.ImportFormEditor;
 import org.txm.rcp.editors.imports.sections.ImportEditorSection;
 
 public class TIGERSection extends ImportEditorSection {
@@ -28,9 +29,9 @@
 	 * @param moduleParams
 	 * @param scriptName temporary parameter to detect if import module is xtzLoader.groovy
 	 */
-	public TIGERSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
+	public TIGERSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
 		
-		super(toolkit2, form2, parent, style, "TIGERSearch");
+		super(editor, toolkit2, form2, parent, style, "TIGERSearch");
 		
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/ImportSelectedText.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/ImportSelectedText.java	(revision 3398)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/ImportSelectedText.java	(revision 3399)
@@ -32,6 +32,7 @@
 import java.io.FileOutputStream;
 import java.io.OutputStreamWriter;
 import java.io.Writer;
+import java.util.Arrays;
 import java.util.Locale;
 
 import org.eclipse.core.commands.AbstractHandler;
@@ -47,6 +48,7 @@
 import org.txm.objects.Workspace;
 import org.txm.rcp.handlers.scripts.ExecuteImportScript;
 import org.txm.rcp.messages.TXMUIMessages;
+import org.txm.searchengine.cqp.ReferencePattern;
 import org.txm.searchengine.cqp.corpus.CorpusManager;
 import org.txm.treetagger.core.preferences.TreeTaggerPreferences;
 import org.txm.utils.LangDetector;
@@ -145,6 +147,8 @@
 		project.setImportModuleName("txt"); //$NON-NLS-1$
 		project.setEncoding("UTF-8"); //$NON-NLS-1$
 		project.getEditionDefinition("default").setBuildEdition(true); //$NON-NLS-1$
+		project.getCommandPreferences("concordance").set("view_reference_pattern", 
+				ReferencePattern.referenceToString(Arrays.asList("lbn"), null));
 		
 		String lang = TBXPreferences.getInstance().getString(TBXPreferences.IMPORT_DEFAULT_LANG);
 		if (lang.length() == 0) lang = Locale.getDefault().getLanguage();
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java	(revision 3398)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java	(revision 3399)
@@ -20,6 +20,7 @@
 import org.txm.Toolbox;
 import org.txm.objects.EditionDefinition;
 import org.txm.objects.Project;
+import org.txm.rcp.editors.imports.ImportFormEditor;
 import org.txm.rcp.editors.imports.ImportModuleCustomization;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
@@ -56,8 +57,8 @@
 	 * @param moduleParams
 	 * @param scriptName temporary parameter to detect if import module is xtzLoader.groovy
 	 */
-	public EditionSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style, HashMap<String, Boolean> moduleParams, String scriptName) {
-		super(toolkit2, form2, parent, style, "edition");
+	public EditionSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style, HashMap<String, Boolean> moduleParams, String scriptName) {
+		super(editor, toolkit2, form2, parent, style, "edition");
 		
 		this.section.setText(TXMUIMessages.editions);
 		TableWrapLayout layout = new TableWrapLayout();
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/OptionsSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/OptionsSection.java	(revision 3398)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/OptionsSection.java	(revision 3399)
@@ -10,6 +10,7 @@
 import org.eclipse.ui.forms.widgets.TableWrapData;
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 import org.txm.objects.Project;
+import org.txm.rcp.editors.imports.ImportFormEditor;
 
 public class OptionsSection extends ImportEditorSection {
 	
@@ -18,8 +19,8 @@
 	private Button cleanButton;
 	// private Button multithreadButton;
 	
-	public OptionsSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
-		super(toolkit2, form2, parent, style, "misc");
+	public OptionsSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
+		super(editor, toolkit2, form2, parent, style, "misc");
 		
 		this.section.setText("Options");
 		TableWrapLayout layout = new TableWrapLayout();
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/InfosSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/InfosSection.java	(revision 3398)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/InfosSection.java	(revision 3399)
@@ -16,6 +16,7 @@
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 import org.txm.objects.CorpusBuild;
 import org.txm.objects.Project;
+import org.txm.rcp.editors.imports.ImportFormEditor;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.utils.logger.Log;
 import org.w3c.dom.Element;
@@ -27,8 +28,8 @@
 	// Label corpusNameLabel; // color change if the corpus name is malformed
 	private Text descText;
 	
-	public InfosSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
-		super(toolkit2, form2, parent, style, "infos");
+	public InfosSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
+		super(editor, toolkit2, form2, parent, style, "infos");
 		
 		// this = toolkit.createSection(form.getBody(), ExpandableComposite.TITLE_BAR|ExpandableComposite.TWISTIE);
 		this.section.setText(TXMUIMessages.description);
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FrontXSLSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FrontXSLSection.java	(revision 3398)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FrontXSLSection.java	(revision 3399)
@@ -27,6 +27,7 @@
 import org.txm.Toolbox;
 import org.txm.objects.Project;
 import org.txm.rcp.editors.TableKeyListener;
+import org.txm.rcp.editors.imports.ImportFormEditor;
 import org.txm.rcp.handlers.files.EditFile;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
@@ -48,8 +49,8 @@
 	
 	TableViewer xsltParamsViewer;
 	
-	public FrontXSLSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
-		super(toolkit2, form2, parent, style, "xslt");
+	public FrontXSLSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
+		super(editor, toolkit2, form2, parent, style, "xslt");
 		
 		this.section.setText(TXMUIMessages.frontXSL);
 		TableWrapLayout layout = new TableWrapLayout();
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/CommandsSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/CommandsSection.java	(revision 3398)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/CommandsSection.java	(revision 3399)
@@ -5,8 +5,6 @@
 import org.apache.commons.lang.StringUtils;
 import org.eclipse.jface.resource.FontDescriptor;
 import org.eclipse.swt.SWT;
-import org.eclipse.swt.graphics.Font;
-import org.eclipse.swt.graphics.FontData;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Text;
@@ -18,6 +16,7 @@
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 import org.txm.objects.CorpusCommandPreferences;
 import org.txm.objects.Project;
+import org.txm.rcp.editors.imports.ImportFormEditor;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.searchengine.cqp.ReferencePattern;
 
@@ -38,8 +37,8 @@
 	
 	private Text referencePatternProperties;
 	
-	public CommandsSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
-		super(toolkit2, form2, parent, style, "commands");
+	public CommandsSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
+		super(editor, toolkit2, form2, parent, style, "commands");
 		
 		this.section.setText(TXMUIMessages.commands);
 		TableWrapLayout layout = new TableWrapLayout();
@@ -102,12 +101,14 @@
 	@Override
 	public void updateFields(Project project) {
 		CorpusCommandPreferences concPrefs = project.getCommandPreferences("concordance");
+		
 		if (concPrefs.get("context_limits") != null) {
 			structLimitsText.setText(concPrefs.get("context_limits"));
 		}
 		else {
-			structLimitsText.setText("text"); // TODO use the concordance preferences instead ofhardcoding 'text'
+			structLimitsText.setText("text"); // TODO use the concordance preferences instead of hardcoding 'text'
 		}
+		
 		if (concPrefs.get("view_reference_pattern") != null) {
 			String gsonString = concPrefs.get("view_reference_pattern");
 			if (ReferencePattern.isGsonString(gsonString)) {
@@ -121,8 +122,13 @@
 			}
 		}
 		else {
-			referencePatternText.setText("");
-			referencePatternProperties.setText("");
+			if ("txtLoader.groovy".equals(editor.getGroovyscript().getName())) {
+				referencePatternText.setText("text_id,l_n");
+				referencePatternProperties.setText("%s, %s");
+			} else {
+				referencePatternText.setText("");
+				referencePatternProperties.setText("");
+			}
 		}
 	}
 	
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/ImportEditorSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/ImportEditorSection.java	(revision 3398)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/ImportEditorSection.java	(revision 3399)
@@ -11,12 +11,14 @@
 import org.txm.core.results.BeanParameters;
 import org.txm.core.results.Parameter;
 import org.txm.objects.Project;
+import org.txm.rcp.editors.imports.ImportFormEditor;
 import org.w3c.dom.Document;
 import org.w3c.dom.Element;
 import org.w3c.dom.NodeList;
 
 public abstract class ImportEditorSection {
 	
+	ImportFormEditor editor;
 	ArrayList<ImportSubSection> subsections = new ArrayList<ImportSubSection>();
 	
 	public static TableWrapData getButtonLayoutData() {
@@ -76,11 +78,12 @@
 	 * @param style
 	 * @param name the section name must not be nulled and will be used to read the import.xml file
 	 */
-	public ImportEditorSection(FormToolkit toolkit, ScrolledForm form, Composite parent, int style, String name) {
+	public ImportEditorSection(ImportFormEditor editor, FormToolkit toolkit, ScrolledForm form, Composite parent, int style, String name) {
 		
 		if (name == null) throw new IllegalArgumentException("Section name must not be null or empty.");
 		
 		section = toolkit.createSection(parent, style);
+		this.editor = editor;
 		this.section.setText(name);
 		this.toolkit = toolkit;
 		this.form = form;
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/LangSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/LangSection.java	(revision 3398)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/LangSection.java	(revision 3399)
@@ -24,6 +24,7 @@
 import org.txm.core.engines.EngineType;
 import org.txm.core.engines.EnginesManager;
 import org.txm.objects.Project;
+import org.txm.rcp.editors.imports.ImportFormEditor;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.treetagger.core.preferences.TreeTaggerPreferences;
 import org.txm.utils.FileUtils;
@@ -45,8 +46,8 @@
 	
 	Combo langcombo;
 	
-	public LangSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
-		super(toolkit2, form2, parent, style, "lang");
+	public LangSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
+		super(editor, toolkit2, form2, parent, style, "lang");
 		
 		this.section.setText(TXMUIMessages.mainLanguage);
 		TableWrapLayout layout = new TableWrapLayout();
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TextualPlansSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TextualPlansSection.java	(revision 3398)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TextualPlansSection.java	(revision 3399)
@@ -11,6 +11,7 @@
 import org.eclipse.ui.forms.widgets.TableWrapData;
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 import org.txm.objects.Project;
+import org.txm.rcp.editors.imports.ImportFormEditor;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.w3c.dom.Element;
 
@@ -26,8 +27,8 @@
 	
 	private Text milestoneElementsText;
 	
-	public TextualPlansSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
-		super(toolkit2, form2, parent, style, "textualplans");
+	public TextualPlansSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
+		super(editor, toolkit2, form2, parent, style, "textualplans");
 		
 		this.section.setText(TXMUIMessages.textualPlanes);
 		TableWrapLayout layout = new TableWrapLayout();
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EncodingSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EncodingSection.java	(revision 3398)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EncodingSection.java	(revision 3399)
@@ -17,6 +17,7 @@
 import org.eclipse.ui.forms.widgets.TableWrapData;
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 import org.txm.objects.Project;
+import org.txm.rcp.editors.imports.ImportFormEditor;
 import org.txm.rcp.messages.TXMUIMessages;
 
 public class EncodingSection extends ImportEditorSection {
@@ -31,8 +32,8 @@
 	
 	Combo encodingCombo;
 	
-	public EncodingSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
-		super(toolkit2, form2, parent, style, "encoding");
+	public EncodingSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
+		super(editor, toolkit2, form2, parent, style, "encoding");
 		
 		this.section.setText(TXMUIMessages.sourceCharactersEncoding);
 		TableWrapLayout layout = new TableWrapLayout();
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FontSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FontSection.java	(revision 3398)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FontSection.java	(revision 3399)
@@ -13,6 +13,7 @@
 import org.eclipse.ui.forms.widgets.TableWrapData;
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 import org.txm.objects.Project;
+import org.txm.rcp.editors.imports.ImportFormEditor;
 import org.txm.rcp.messages.TXMUIMessages;
 
 public class FontSection extends ImportEditorSection {
@@ -23,8 +24,8 @@
 	
 	Combo fontCombo;
 	
-	public FontSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
-		super(toolkit2, form2, parent, style, "font");
+	public FontSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
+		super(editor, toolkit2, form2, parent, style, "font");
 		
 		this.section.setText(TXMUIMessages.displayFont);
 		TableWrapLayout layout = new TableWrapLayout();
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TRSSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TRSSection.java	(revision 3398)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TRSSection.java	(revision 3399)
@@ -11,6 +11,7 @@
 import org.eclipse.ui.forms.widgets.TableWrapData;
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 import org.txm.objects.Project;
+import org.txm.rcp.editors.imports.ImportFormEditor;
 import org.txm.rcp.messages.TXMUIMessages;
 
 public class TRSSection extends ImportEditorSection {
@@ -37,9 +38,9 @@
 	 * @param moduleParams
 	 * @param scriptName temporary parameter to detect if import module is xtzLoader.groovy
 	 */
-	public TRSSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
+	public TRSSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
 		
-		super(toolkit2, form2, parent, style, "Transcriptions");
+		super(editor, toolkit2, form2, parent, style, "Transcriptions");
 		
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TokenizerSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TokenizerSection.java	(revision 3398)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TokenizerSection.java	(revision 3399)
@@ -17,6 +17,7 @@
 import org.eclipse.ui.forms.widgets.TableWrapData;
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 import org.txm.objects.Project;
+import org.txm.rcp.editors.imports.ImportFormEditor;
 import org.txm.rcp.editors.imports.ImportModuleCustomization;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.tokenizer.TTest;
@@ -52,8 +53,8 @@
 	
 	private HashMap<String, Boolean> moduleParams;
 	
-	public TokenizerSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style, HashMap<String, Boolean> moduleParams) {
-		super(toolkit2, form2, parent, style, "tokenizer");
+	public TokenizerSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style, HashMap<String, Boolean> moduleParams) {
+		super(editor, toolkit2, form2, parent, style, "tokenizer");
 		this.moduleParams = moduleParams;
 		this.section.setText(TXMUIMessages.lexicalSegmentation);
 		TableWrapLayout layout = new TableWrapLayout();
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 3398)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 3399)
@@ -157,7 +157,7 @@
 	}
 	
 	private int createEditionsSection() {
-		editionSection = new EditionSection(toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE, moduleParams, editor.getGroovyScript().getName());
+		editionSection = new EditionSection(editor, toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE, moduleParams, editor.getGroovyScript().getName());
 		return editionSection.getSectionSize();
 	}
 	
@@ -171,12 +171,12 @@
 	}
 	
 	private int createEncodingSection() {
-		encodingSection = new EncodingSection(toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
+		encodingSection = new EncodingSection(editor, toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
 		return encodingSection.getSectionSize();
 	}
 	
 	private int createFontSection() {
-		fontSection = new FontSection(toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
+		fontSection = new FontSection(editor, toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
 		return fontSection.getSectionSize();
 	}
 	
@@ -260,12 +260,12 @@
 	}
 	
 	private int createTextualPlansSection() {
-		textualPlansSection = new TextualPlansSection(toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
+		textualPlansSection = new TextualPlansSection(editor, toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
 		return textualPlansSection.getSectionSize();
 	}
 	
 	private int createOptionsSection() {
-		optionsSection = new OptionsSection(toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
+		optionsSection = new OptionsSection(editor, toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
 		return optionsSection.getSectionSize();
 	}
 	
@@ -287,7 +287,7 @@
 	}
 	
 	private int createInfosSection() {
-		infosSection = new InfosSection(toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
+		infosSection = new InfosSection(editor, toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
 		return infosSection.getSectionSize();
 	}
 	
@@ -295,7 +295,7 @@
 	 * Creates the front xslt section.
 	 */
 	private int createFrontXSLTSection() {
-		xsltSection = new FrontXSLSection(toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
+		xsltSection = new FrontXSLSection(editor, toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
 		return xsltSection.getSectionSize();
 	}
 	
@@ -303,7 +303,7 @@
 	 * Creates the lang section.
 	 */
 	private int createLangSection() {
-		langSection = new LangSection(toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
+		langSection = new LangSection(editor, toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
 		return langSection.getSectionSize();
 	}
 	
@@ -705,7 +705,7 @@
 	 * Creates the tokenizer section.
 	 */
 	private int createTokenizerSection() {
-		tokenizerSection = new TokenizerSection(toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE, moduleParams);
+		tokenizerSection = new TokenizerSection(editor, toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE, moduleParams);
 		return tokenizerSection.getSectionSize();
 	}
 	
@@ -825,7 +825,7 @@
 	}
 	
 	private int createUIsSection() {
-		uiSection = new CommandsSection(toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
+		uiSection = new CommandsSection(editor, toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
 		return uiSection.getSectionSize();
 	}
 	
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportModuleCustomization.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportModuleCustomization.java	(revision 3398)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportModuleCustomization.java	(revision 3399)
@@ -110,7 +110,7 @@
 		params.put(SATTRIBUTES, false);
 		params.put(PREBUILD, true);
 		params.put(QUERIES, true);
-		params.put(UI, false);
+		params.put(UI, true);
 		params.put(TEXTUALPLANS, false);
 		params.put(OPTIONS, true);
 		sectionsPerImportModule.put("hyperbaseLoader.groovy", params); //$NON-NLS-1$
@@ -129,7 +129,7 @@
 		params.put(SATTRIBUTES, false);
 		params.put(PREBUILD, true);
 		params.put(QUERIES, true);
-		params.put(UI, false);
+		params.put(UI, true);
 		params.put(TEXTUALPLANS, false);
 		params.put(OPTIONS, true);
 		sectionsPerImportModule.put("alcesteLoader.groovy", params); //$NON-NLS-1$
@@ -148,7 +148,7 @@
 		params.put(SATTRIBUTES, false);
 		params.put(PREBUILD, true);
 		params.put(QUERIES, true);
-		params.put(UI, false);
+		params.put(UI, true);
 		params.put(TEXTUALPLANS, false);
 		params.put(OPTIONS, true);
 		sectionsPerImportModule.put("txtLoader.groovy", params); //$NON-NLS-1$
Index: TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/editors/imports/sections/AnnotationSection.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/editors/imports/sections/AnnotationSection.java	(revision 3398)
+++ TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/editors/imports/sections/AnnotationSection.java	(revision 3399)
@@ -14,6 +14,7 @@
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 import org.txm.annotation.kr.core.KRAnnotationEngine;
 import org.txm.objects.Project;
+import org.txm.rcp.editors.imports.ImportFormEditor;
 import org.txm.rcp.editors.imports.sections.ImportEditorSection;
 
 public class AnnotationSection extends ImportEditorSection {
@@ -24,8 +25,8 @@
 	
 	Text nameText;
 	
-	public AnnotationSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
-		super(toolkit2, form2, parent, style, "annotation");
+	public AnnotationSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
+		super(editor, toolkit2, form2, parent, style, "annotation");
 		
 		this.section.setText("Annotation");
 		TableWrapLayout layout = new TableWrapLayout();
Index: TXM/trunk/org.txm.conllu.rcp/src/org/txm/conllu/rcp/importsection/CoNLLUSection.java
===================================================================
--- TXM/trunk/org.txm.conllu.rcp/src/org/txm/conllu/rcp/importsection/CoNLLUSection.java	(revision 3398)
+++ TXM/trunk/org.txm.conllu.rcp/src/org/txm/conllu/rcp/importsection/CoNLLUSection.java	(revision 3399)
@@ -14,6 +14,7 @@
 import org.osgi.service.prefs.Preferences;
 import org.txm.conllu.core.preferences.UDPreferences;
 import org.txm.objects.Project;
+import org.txm.rcp.editors.imports.ImportFormEditor;
 import org.txm.rcp.editors.imports.sections.ImportEditorSection;
 
 public class CoNLLUSection extends ImportEditorSection {
@@ -38,9 +39,9 @@
 	 * @param moduleParams
 	 * @param scriptName temporary parameter to detect if import module is xtzLoader.groovy
 	 */
-	public CoNLLUSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
+	public CoNLLUSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
 		
-		super(toolkit2, form2, parent, style, "CoNLL-U");
+		super(editor, toolkit2, form2, parent, style, "CoNLL-U");
 		
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
